//dipendenti dal plugin specifico
#include "stdafx.h"
#include "NumWnd.h"
#include "ConfDlg.h"

//essenziale
#include "Gos.h"

/*
in questa funzione e' necessario inizializzare il programma.
il requisito minimo e' l'avvio di una connessione con localhost
alla porta indicata in lPort.
se per qualche motivo non si riesce ad eseguire una connessione,
bisogna ritornare 0, altrimenti 1 (o altro diverso da 0).
hWnd contiene l'handle alla finestra base del client, che dovrebbe
diventare la finestra owner per quelle del plug-in.

s e r sono riservate per ora.
*/
long __stdcall gosInit(HWND hWnd, long s, long lPort, long r)
{
	/*DA FARE: Inserisci le inizializzazioni e attiva la connessione al client*/
	CNumWnd* mainWnd;
	int port = (int)lPort;
	mainWnd = new CNumWnd(port, hWnd);
	AfxGetApp()->m_pMainWnd = mainWnd;
	mainWnd = NULL;

	return 1;
}

/*
Questa funzione serve per passare al client qualche piccola informazione
riguardo al plug-in, tramite un puntatore ad una struttura gosPluginInfo
(dichiarata in Gos.h) si puo' passare titolo(per un massimo di 128 caratteri)
e tre identificativi di versione.
a, b e c sono riservati, per ora.
*/

long __stdcall gosInfo(long a, long b, long c, void* pgpi)
{
	gosPluginInfo* gpi = (gosPluginInfo*)pgpi;
	/*DA FARE: Inserisci in gpi le informazioni sul tuo plug-in*/

	LPCTSTR sTitle = "Plug-in per il tastierino numerico";
	CopyMemory(pgpi, sTitle, strlen(sTitle));
	gpi->nMajor = 1;
	gpi->nMinor = 0;
	gpi->nRevision = 0;

	return 1;
}

/*
hParent = handle to the config dialog parent window
b, c = reserverd
pgp = pointer to a gosPaths structure (dichiarata in gos.h)
*/
long __stdcall gosConf(HWND hParent, long b, long c, void* pgp)
{
	gosPaths* gp = (gosPaths*) pgp;

	/*AfxMessageBox(gp->lpClientPath);
	AfxMessageBox(gp->lpMudPath);
	AfxMessageBox(gp->lpProfilePath);*/

	CWnd parent;
	parent.Attach(hParent);
	CConfDlg dlg(&parent);
	dlg.SetProfilePath(gp->lpProfilePath);
	dlg.DoModal();
	parent.Detach();
	return 1;
}

long __stdcall gosCred(long a, long b, long c, long d)
{
	return 0;
}
