#if !defined(AFX_NUMWND_H__597895BD_A71E_4368_9C51_A7FFA07DD678__INCLUDED_)
#define AFX_NUMWND_H__597895BD_A71E_4368_9C51_A7FFA07DD678__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NumWnd.h : header file
//
#include "GosCommand.h"

#define NP_BASE		96
#define NP_0		0
#define NP_1		1
#define NP_2		2
#define NP_3		3
#define NP_4		4
#define NP_5		5
#define NP_6		6
#define NP_7		7
#define NP_8		8
#define NP_9		9
#define NP_AST		10
#define NP_PLUS		11
#define NP_MINUS	13
#define NP_POINT	14
#define NP_SLASH	15

/////////////////////////////////////////////////////////////////////////////
// CNumWnd window

class CNumWnd : public CWnd
{
// Construction
public:
	CNumWnd();
	CNumWnd(int port, HWND hOwner);
// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNumWnd)
	protected:
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CNumWnd();
	void LoadConfig();

	// Generated message map functions
protected:
	CString m_com[NP_SLASH + 1]; //commands

	HWND m_hBaseWnd;
	int m_port;
	CGosCommand* m_gos;
	static HHOOK m_hHook;
	static CNumWnd* m_me;
	static LRESULT CALLBACK HookProc(
	  int code,       // hook code
	  WPARAM wParam,  // virtual-key code
	  LPARAM lParam   // keystroke-message information
	);
	static void SetNumLock();

	void m_CreateWin(HWND hOwner = 0);

	//{{AFX_MSG(CNumWnd)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg LRESULT OnGosClose(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnGosGo(WPARAM wParam, LPARAM lParam);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NUMWND_H__597895BD_A71E_4368_9C51_A7FFA07DD678__INCLUDED_)
